# Revoke this account's sign-in consent; approve again on next open

Agents can revoke the calling account's consent but cannot grant consent or issue Notify passes. Those actions require a signed-in session.

HTML: https://notify.belweave.ai/docs/api/postAppsIdRevoke

Required scopes: `apps:write`

```http
POST /api/agent/apps/{id}/revoke
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Revoke this account's sign-in consent; approve again on next open",
  "description": "Agents can revoke the calling account's consent but cannot grant consent or issue Notify passes. Those actions require a signed-in session.",
  "operationId": "postAppsIdRevoke",
  "security": [
    {
      "bearer": [
        "apps:write"
      ]
    }
  ],
  "x-notify-scopes": [
    "apps:write"
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "app": {
                "$ref": "#/components/schemas/App"
              }
            },
            "required": [
              "app"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
